/// <reference types="node" />
import { RestClientConfig, PostRequestObjects, ResponseObject } from "./types";
import { ClientConfig } from "../blockchainClient/types";
import { Method } from "./enums";
export declare function getBrid(urlBase: string, chainId: number): Promise<string>;
export declare function requestWithRetry(method: Method, path: string, config: RestClientConfig | ClientConfig, postObject?: PostRequestObjects | Buffer): Promise<ResponseObject>;
export declare function nextEndpoint(endpointPool: readonly string[]): string;
export declare const sleep: (ms: number) => Promise<unknown>;
export declare function convertToPrintable(responseObject: any): any;
